module.exports = {
  parser: 'babel-eslint',
  extends: 'airbnb',
  rules: {
    semi: ['error', 'never'],
    'function-paren-newline': 0,
    'no-underscore-dangle': 0,
    'comma-dangle': ['error', 'always-multiline'],
    'object-curly-newline': 0,
    'react/jsx-wrap-multilines': 0,
    'react/jsx-filename-extension': 0,
    'react/prop-types': 0,
    'jsx-a11y/label-has-for': 0,
    'arrow-parens': ['error', 'as-needed'],
    'spaced-comment': 0,
    'no-confusing-arrow': 0,
    'import/prefer-default-export': 0,
    'class-methods-use-this': 0,
    'jsx-a11y/anchor-is-valid': 0,
    'no-nested-ternary': 0,
    'no-use-before-define': 0,
    'react/jsx-no-bind': 0,
    'no-plusplus': 0,
    'no-param-reassign': 0,
    'react/forbid-prop-types': 0,
    'react/no-unused-state': 0,
    radix: 0,
    'no-case-declarations': 0,
    'no-unneeded-ternary': 0,
    camelcase: 0,
    'no-shadow': 0,
    'no-fallthrough': 0,
    'no-return-assign': 0,
    'no-cond-assign': 0,
    'import/no-named-as-default': 0,
    quotes: 0,
    'no-mixed-operators': 0,
    'implicit-arrow-linebreak': 0,
    'operator-linebreak': 0,
    'react/destructuring-assignment': 0,
    'react/jsx-one-expression-per-line': 0,
    indent: 0,
    'react/no-access-state-in-setstate': 0,
    'jsx-a11y/label-has-associated-control': 0,
  },
  globals: {
    window: true,
    document: true,
    $: true,
    localStorage: true,
    sessionStorage: true,
    FormData: true,
    alert: true,
  },
}
